---
title: Isle of Dread
description: Information specific to my Isle of Dread campaign
date_pub: 2024-04-27T17:03:49.000-04:00
section: campaigns
content_type: feature
short_code: cmma1
---

_Greetings, adventurers!_

_You have been hired to accompany a wealthy merchant to a forgotten island known as the Isle of Dread, where you will face terrifying monsters and dangerous traps as you try to unlock its ancient secrets and seek the untold treasures it holds._

### The Game

-   The theme is fairly heroic: characters are powerhouses among the level-0 civilian population.
-   The tone is usually light and adventurous (we like to laugh and have fun), with occasional excursions into horror and/or melodrama.
-   We'll play Mondays at 6:30p ET via Discord, on the "Monday Night Mini-Campaigns" channels.

### Journey to the Isle of Dread

While in **Blacktyde Bay**, the party answers a job posting from local merchant **Thoryio Barbarosa**, meeting him at **The Drunken Trout** tavern.

-   He wants to lead an expedition to a place called the **"Isle of Dread"**.
-   He has a _journal page_ which speaks of great treasure, and a _map of the shoreline_.
-   He's setting out soon on the ship **Prosperity**, captained by **Mararo Sorris**.
-   He's offering to pay each party member **100 gp up front**, plus **1/2 of whatever treasure they find** (with the other half split between Thoryio and the crew of the Prosperity).

### Timeline

!!!include(aeryon/today.md)!!!

-   After 7 days at sea, the Prosperity capsized, sending everyone into the sea.
-   The party washed ashore on the island they were seeking, and thus the adventure began.

### Links

-   [The World of Aeryon](./index.html): World where the adventure takes place.
-   [Blacktyde Bay](blacktyde-bay.html): City where the adventure starts.
